Module jdk.jfr
Package jdk.jfr.consumer

## Class RecordedFrame

- java.lang.Object
- - jdk.jfr.consumer.RecordedObject
  - - jdk.jfr.consumer.RecordedFrame

    public final class RecordedFrame
    extends RecordedObject

A recorded frame in a stack trace.

Since:
  9

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBytecodeIndex()` Returns the bytecode index for the execution point that is represented by this recorded frame.
`int` `getLineNumber()` Returns the line number for the execution point that is represented by this recorded frame, or `-1` if doesn't exist
`RecordedMethod` `getMethod()` Returns the method for the execution point that is represented by this recorded frame.
`String` `getType()` Returns the frame type for the execution point that is represented by this recorded frame (for example, `"Interpreted"`, `"JIT compiled"` or `"Inlined"`).
`boolean` `isJavaFrame()` Returns `true` if this is a Java frame, `false` otherwise.

### Methods declared in class jdk.jfr.consumer.RecordedObject

`getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFields, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isJavaFrame

    public boolean isJavaFrame()

Returns `true` if this is a Java frame, `false` otherwise.

A Java method that has a native modifier is considered a Java frame.

Returns:
  `true` if this is a Java frame, `false` otherwise
See Also:
  `Modifier.isNative(int)`

#### getBytecodeIndex

    public int getBytecodeIndex()

Returns the bytecode index for the execution point that is represented by this recorded frame.

Returns:
  byte code index, or `-1` if doesn't exist

#### getLineNumber

    public int getLineNumber()

Returns the line number for the execution point that is represented by this recorded frame, or `-1` if doesn't exist

Returns:
  the line number, or `-1` if doesn't exist

#### getType

    public String getType()

Returns the frame type for the execution point that is represented by this recorded frame (for example, `"Interpreted"`, `"JIT compiled"` or `"Inlined"`).

Returns:
  the frame type, or `null` if doesn't exist

#### getMethod

    public RecordedMethod getMethod()

Returns the method for the execution point that is represented by this recorded frame.

Returns:
  the method, not `null`